diff debian/postinst @ 7096:6746866a94c6

Use the confdir we compiled with (/etc/mplayer/mplayer.conf instead of /etc/mplayer.conf). Spotted by Kiss Gabor <kissg@sztaki.hu>.
author diego
date Tue, 27 Aug 2002 09:57:12 +0000
parents 0737156ad1f0
children e59659bea3e0
line wrap: on
line diff
--- a/debian/postinst	Tue Aug 27 08:33:05 2002 +0000
+++ b/debian/postinst	Tue Aug 27 09:57:12 2002 +0000
@@ -13,7 +13,7 @@
 
 dealwithupgrades();
 
-my $mcfg = new ConfHelper('mplayer', "/etc/mplayer.conf");
+my $mcfg = new ConfHelper('mplayer', "/etc/mplayer/mplayer.conf");
 $mcfg->setconfarea("
 #MPlayer config file generated by .deb package.
 #ffactor	=	0.9
@@ -48,10 +48,10 @@
 
 
 sub dealwithupgrades {
-  open(OLDCONF, "</etc/mplayer.conf") || return 1;
+  open(OLDCONF, "</etc/mplayer/mplayer.conf") || return 1;
   close OLDCONF;
 
-  my $mconf = new ConfHelper("mplayer", "/etc/mplayer.conf");
+  my $mconf = new ConfHelper("mplayer", "/etc/mplayer/mplayer.conf");
   return 1 if ($mconf->hasconfarea());
   undef $mconf;
 
@@ -60,7 +60,7 @@
     print STDERR "Upgrading...\n";
 #?    saveolddata("/etc/network/interfaces", "pppconf");
     $didupgrade = 1;
-    for my $file ("/etc/mplayer.conf"
+    for my $file ("/etc/mplayer/mplayer.conf"
     #, "/etc/mplayer/fonts/sth
     ) {
       debug("Deleting $file");